*{
 margin: 0;
 padding: 0;
 box-sizing: border-box;
 border: none;
 outline: none;
 font-family: "Padauk";
 font-weight: 700;
}

body{
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
    background-image: url("pexels-photo-2835436.jpeg");
    background-repeat: no-repeat;
    background-size: cover;
}
.container{
    width: 400px;
    height: min-content;
    background-color: white;
    border-radius: 12px;
    padding: 28px;

}

.search-box{
    width: 100%;
    height: min-content;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.search-box input{
    width: 84%;
    font-size: 20px;
    text-transform: capitalize;
    color: black;
    background-color: #e6f5fb;
    padding: 12px 16px;
    border-radius: 14px;

}

.search-box input::placeholder{
    color: black;
}
.search-box button{
    width: 46px;
    height: 46px;
    background-color: #e6f5fb;
    border-radius: 20%;
    cursor: pointer;
    font-size: 20px;
}

.search-box button:hover{
    color: black;
    background-color:#d5d5d5;
}
.weather-body{
    display: none;
    justify-content:center;
    align-items: center;
    flex-direction: column;
    margin-block: 20px;
}


.weather-body img{
    width: 60%;

}
.weather-box{
    margin-block: 20px;
    text-align: center;

}
.weather-box .temperature{
    font-size: 40px;
    font-weight: 800;
    position: relative;

}
.weather-box .temperature sup{
    font-size: 20px;
     position: absolute;
     font-weight: 600;

}
.weather-box .description{
    font-size: 20px;
    font-weight: 800;
    text-transform: capitalize;
}
.weather-details{
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 30px;
}


.humidity,.wind{
    display: flex;
    align-items: center;
}

.humidity{
    margin-left: 20px;
}
.wind{
    margin-right: 20px;
}
.weather-details i{
    font-size: 36px;
}
.weather-details .text{
    margin-left: 10px;
    font-size: 16px;

}

.text span{
   font-size: 20px;
   font-weight: 700;
}

.location-not-found{
    margin-top: 20px;
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
   

}
.location-not-found h1{
    font-size: 20px;
    color: #6b6b6b;
    margin-block-end: 15px;

}


.location-not-found img{
    width: 80%;
    
}